<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_CurrencyConversionRS StructType
 * @package Dg
 * @subpackage Structs
 */
class DgOTA_CurrencyConversionRS extends AbstractStructBase
{
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgErrorsType
     */
    public $Errors;
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgSuccessType
     */
    public $Success;
    /**
     * The Amount
     * @var float
     */
    public $Amount;
    /**
     * The TruncatedAmount
     * @var float
     */
    public $TruncatedAmount;
    /**
     * The OtherChargesAmount
     * @var float
     */
    public $OtherChargesAmount;
    /**
     * Constructor method for OTA_CurrencyConversionRS
     * @uses DgOTA_CurrencyConversionRS::setErrors()
     * @uses DgOTA_CurrencyConversionRS::setSuccess()
     * @uses DgOTA_CurrencyConversionRS::setAmount()
     * @uses DgOTA_CurrencyConversionRS::setTruncatedAmount()
     * @uses DgOTA_CurrencyConversionRS::setOtherChargesAmount()
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @param \dgsoft\StructType\DgSuccessType $success
     * @param float $amount
     * @param float $truncatedAmount
     * @param float $otherChargesAmount
     */
    public function __construct(\dgsoft\StructType\DgErrorsType $errors = null, \dgsoft\StructType\DgSuccessType $success = null, $amount = null, $truncatedAmount = null, $otherChargesAmount = null)
    {
        $this
            ->setErrors($errors)
            ->setSuccess($success)
            ->setAmount($amount)
            ->setTruncatedAmount($truncatedAmount)
            ->setOtherChargesAmount($otherChargesAmount);
    }
    /**
     * Get Errors value
     * @return \dgsoft\StructType\DgErrorsType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @return \dgsoft\StructType\DgOTA_CurrencyConversionRS
     */
    public function setErrors(\dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get Success value
     * @return \dgsoft\StructType\DgSuccessType|null
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param \dgsoft\StructType\DgSuccessType $success
     * @return \dgsoft\StructType\DgOTA_CurrencyConversionRS
     */
    public function setSuccess(\dgsoft\StructType\DgSuccessType $success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Get Amount value
     * @return float|null
     */
    public function getAmount()
    {
        return $this->Amount;
    }
    /**
     * Set Amount value
     * @param float $amount
     * @return \dgsoft\StructType\DgOTA_CurrencyConversionRS
     */
    public function setAmount($amount = null)
    {
        $this->Amount = $amount;
        return $this;
    }
    /**
     * Get TruncatedAmount value
     * @return float|null
     */
    public function getTruncatedAmount()
    {
        return $this->TruncatedAmount;
    }
    /**
     * Set TruncatedAmount value
     * @param float $truncatedAmount
     * @return \dgsoft\StructType\DgOTA_CurrencyConversionRS
     */
    public function setTruncatedAmount($truncatedAmount = null)
    {
        $this->TruncatedAmount = $truncatedAmount;
        return $this;
    }
    /**
     * Get OtherChargesAmount value
     * @return float|null
     */
    public function getOtherChargesAmount()
    {
        return $this->OtherChargesAmount;
    }
    /**
     * Set OtherChargesAmount value
     * @param float $otherChargesAmount
     * @return \dgsoft\StructType\DgOTA_CurrencyConversionRS
     */
    public function setOtherChargesAmount($otherChargesAmount = null)
    {
        $this->OtherChargesAmount = $otherChargesAmount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgOTA_CurrencyConversionRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
